clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::TextDocumentPositionParams Struct Reference

`#include <Protocol.h>`

Inheritance diagram for clang::clangd::TextDocumentPositionParams:
[legend]
Collaboration diagram for clang::clangd::TextDocumentPositionParams:
[legend]

## Public Attributes
TextDocumentIdentifier | textDocument
| The text document. More...
Position | position
| The position inside the text document. More...

## Detailed Description

Definition at line 769 of file Protocol.h.

## Member Data Documentation

## ◆ position

Position clang::clangd::TextDocumentPositionParams::position

The position inside the text document.

Definition at line 774 of file Protocol.h.

Referenced by clang::clangd::asCommand(), and clang::clangd::fromJSON().

## ◆ textDocument

TextDocumentIdentifier clang::clangd::TextDocumentPositionParams::textDocument

The text document.

Definition at line 771 of file Protocol.h.

Referenced by clang::clangd::asCommand(), and clang::clangd::fromJSON().

The documentation for this struct was generated from the following file:

- Protocol.h